Loading...
Searching...
No Matches
fourdst::config::utils::ANSIColor Class Reference

`#include <ansi.h>`

Collaboration diagram for fourdst::config::utils::ANSIColor:
[legend]

## Public Member Functions

| ANSIColor (const std::string &value)
std::string_view | get () const

## Private Member Functions

| ANSIColor ()=default

## Private Attributes

std::string | m_value {""}

## Constructor & Destructor Documentation

## ANSIColor() [1/2]

fourdst::config::utils::ANSIColor::ANSIColor | ( | const std::string & | value | ) |

inlineexplicit

## ANSIColor() [2/2]

fourdst::config::utils::ANSIColor::ANSIColor | ( |  | ) |

privatedefault

## Member Function Documentation

## get()

std::string_view fourdst::config::utils::ANSIColor::get | ( |  | ) | const

inline

## Member Data Documentation

## m_value

std::string fourdst::config::utils::ANSIColor::m_value {""}

private

The documentation for this class was generated from the following file:

- src/config/include/fourdst/config/ansi.h